GET /inbox/comments

Comments (with replies, parentId set) of a Postgale post (postId) or of any post of an account (accountId + platformPostId). Instagram, Facebook, Threads and X

GET
/inbox/comments

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

postId?string

Postgale post id

accountId?string

Account id (with platformPostId, or to filter a post's targets)

platformPostId?string

Platform post/media id

limit?integer

Maximum items (default 50, max 100)

Range1 <= value <= 100
Default50
after?string

Paging cursor

Response Body

{comments, next?, errors?}: errors lists targets that failed when a post has several

application/json
  1. response
postId?string
comments?array<>
next?string

Paging cursor (pass as after)

errors?array<>
Example Request
curl -X GET 'https://example.com/api/v1/inbox/comments'
Example Response
{  "postId": "string",  "comments": [    {      "id": "string",      "text": "string",      "username": "string",      "authorId": "string",      "timestamp": "string",      "likeCount": 0,      "replyCount": 0,      "hidden": true,      "parentId": "string",      "platform": "string",      "accountId": "string",      "platformPostId": "string"    }  ],  "next": "string",  "errors": [    {      "accountId": "string",      "platform": "string",      "code": "string",      "message": "string"    }  ]}